curl --request GET \
--url https://api.gcore.com/billing/org/v1/addendums \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/addendums"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/addendums', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/billing/org/v1/addendums",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/billing/org/v1/addendums"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/billing/org/v1/addendums")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/billing/org/v1/addendums")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": 123,
"client_id": 123,
"client": {
"id": 123,
"company_name": "<string>"
},
"status": "upcoming",
"active_range": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"currency": {
"id": 123,
"char_code": "<string>",
"symbol": "<string>"
},
"plan": {
"id": 123,
"name": "<string>"
},
"product": {
"id": 123,
"name": "<string>",
"internal_name": "<string>"
},
"status_at_active_at": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}List Addendums
Retrieve a list of Addendum objects.
You can use query parameters to filter, sort, and paginate the results.
curl --request GET \
--url https://api.gcore.com/billing/org/v1/addendums \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/addendums"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/addendums', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/billing/org/v1/addendums",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/billing/org/v1/addendums"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/billing/org/v1/addendums")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/billing/org/v1/addendums")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": 123,
"client_id": 123,
"client": {
"id": 123,
"company_name": "<string>"
},
"status": "upcoming",
"active_range": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"currency": {
"id": 123,
"char_code": "<string>",
"symbol": "<string>"
},
"plan": {
"id": 123,
"name": "<string>"
},
"product": {
"id": 123,
"name": "<string>",
"internal_name": "<string>"
},
"status_at_active_at": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Authorizations
Query Parameters
Filter by active period.
Returns items with the end of the active period on or after the specified date-time (ISO 8601/RFC 3339 format, UTC).
You can specify a date with a time separated by a space.
Examples:
&active_end_from=2025-05-15 12:00:00&active_end_from=2025-05-15T12:00:00Z
Filter by active period.
Returns items with the end of the active period on or before the specified date-time (ISO 8601/RFC 3339 format, UTC).
You can specify a date with a time separated by a space.
Examples:
&active_end_to=2025-05-15 12:00:00&active_end_to=2025-05-15T12:00:00Z
Filter by active period.
Returns items with the start of the active period on or after the specified date-time (ISO 8601/RFC 3339 format, UTC).
You can specify a date with a time separated by a space.
Examples:
&active_start_from=2025-05-15 12:00:00&active_start_from=2025-05-15T12:00:00Z
Filter by active period.
Returns items with the start of the active period on or before the specified date-time (ISO 8601/RFC 3339 format, UTC).
You can specify a date with a time separated by a space.
Examples:
&active_start_to=2025-05-15 12:00:00&active_start_to=2025-05-15T12:00:00Z
Filter by creation date-time.
Returns items created after the specified date-time (ISO 8601/RFC 3339 format, UTC).
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_after=2025-05-15&created_after=2025-05-15 12:00:00&created_after=2025-05-15T12:00:00Z
Filter by creation date-time.
Returns items created before the specified date-time (ISO 8601/RFC 3339 format, UTC).
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_before=2025-05-15&created_before=2025-05-15 12:00:00&created_before=2025-05-15T12:00:00Z
Ordering of the results.
For ascending sort order use field.asc, for descending sort order use field.desc.
For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.
Final stable tiebreak ordering is added except when pk sorting used.
created_at.asc- Created atcreated_at.desc- Created at (descending)active_range_start.asc- Active range startactive_range_start.desc- Active range start (descending)active_range_end.asc- Active range endactive_range_end.desc- Active range end (descending)id.asc- Idid.desc- Id (descending)client_id.asc- Client idclient_id.desc- Client id (descending)plan_name.asc- Plan nameplan_name.desc- Plan name (descending)plan_id.asc- Plan idplan_id.desc- Plan id (descending)product_name.asc- Product nameproduct_name.desc- Product name (descending)product_id.asc- Product idproduct_id.desc- Product id (descending)
active_range_end.asc, active_range_end.desc, active_range_start.asc, active_range_start.desc, client_id.asc, client_id.desc, created_at.asc, created_at.desc, id.asc, id.desc, plan_id.asc, plan_id.desc, plan_name.asc, plan_name.desc, product_id.asc, product_id.desc, product_name.asc, product_name.desc Ordering of the results.
This field is left for compatibility and can be deprecated in future versions. Use order_by instead.
Default sort order is ascending. Put - before value for descending sort order: -id.
For sorting by multiple parameters write them as comma separated string: -client_id,id.
Final stable tiebreak ordering is added except when pk sorting used.
created_at- Created at-created_at- Created at (descending)active_range_start- Active range start-active_range_start- Active range start (descending)active_range_end- Active range end-active_range_end- Active range end (descending)id- Id-id- Id (descending)client_id- Client id-client_id- Client id (descending)plan_name- Plan name-plan_name- Plan name (descending)plan_id- Plan id-plan_id- Plan id (descending)product_name- Product name-product_name- Product name (descending)product_id- Product id-product_id- Product id (descending)
-active_range_end, -active_range_start, -client_id, -created_at, -id, -plan_id, -plan_name, -product_id, -product_name, active_range_end, active_range_start, client_id, created_at, id, plan_id, plan_name, product_id, product_name Filter by product ID. Can be multiple.
Returns products with the specified ID.
Examples:
&product_id=1&product_id=1&product_id=2
Available values:
1- CDN2- Object Storage3- Web Security4- Streaming5- Cloud6- Colocation Services7- WG Private Cloud8- p2p9- DDoS Protection10- Managed DNS11- Other Services12- Premium Support13- Connectivity14- Hosting (G-Hosting)15- Managed Services16- Rent17- Software development18- VM Ware19- LaaS20- AWS Cloud21- FastEdge22- Technical Support23- WAAP25- Edge Proxy32- AI Managed Dedicated Compute65- Gclaw
Filter by product internal name. Can be multiple.
Returns products with the specified internal name.
Examples:
&product_internal_name=CDN&product_internal_name=CDN&product_internal_name=DNS
Available values:
AI_DEDCOMP- AI Managed Dedicated ComputeAWS_CLOUD- AWS CloudCDN- CDNCLOUD- CloudCONNECT- Colocation ServicesCONNECTIVITY- ConnectivityDDOS- Web SecurityDNS- Managed DNSFAST_EDGE- FastEdgeGCLAW- GclawGHOST- Hosting (G-Hosting)INFRASTRUCTURE_PROTECTION- DDoS ProtectionLAAS- LaaSMANAGED_SERVICES- Managed ServicesOTHER_SERVICES- Other ServicesP2P- p2pPREMIUM_SUPPORT- Premium SupportRENT- RentSHIELD_PROXY- Edge ProxySOFTWARE_DEVELOPMENT- Software developmentSTORAGE- Object StorageSTREAMING- StreamingTECHNICAL_SUPPORT- Technical SupportVMWARE- VM WareWAAP- WAAPWG_PRIVATE_CLOUD- WG Private Cloud
Was this page helpful?